<?php

$block_name = _("My QuickSearches");

/**
 * Horde_Block_Whups_mysearches:: Implementation of the Horde_Block
 * API to show the current user's saved searches.
 *
 * $Horde: whups/lib/Block/mysearches.php,v 1.2 2004/05/31 17:24:08 jan Exp $
 *
 * @package Horde_Block
 */
class Horde_Block_Whups_mysearches extends Horde_Block {

    var $_app = 'whups';

    /**
     * The title to go in this block.
     *
     * @return string   The title text.
     */
    function _title()
    {
        return _("My QuickSearches");
    }

    /**
     * The content to go in this block.
     *
     * @return string   The content
     */
    function _content()
    {
        require_once dirname(__FILE__) . '/../base.php';
        require_once WHUPS_TEMPLATES . '/savedsearches.inc';
        global $whups;

        $mysearches = &new SavedSearches();
        return '<table border="0" cellpadding="2" cellspacing="0" width="100%">' .
            Util::bufferOutput(array($mysearches, 'results'), $whups->getUserSearches(Auth::getAuth())) .
            '</table>';
    }

}
