<?php
// If we have a saved list of ticket ids in the session, display the
// prev/next navigation.
if (isset($_SESSION['whups_tickets']) &&
    is_array($_SESSION['whups_tickets']) &&
    ($list_length = count($_SESSION['whups_tickets'])) > 1 &&
    ($this_ticket = array_search($ticket->getId(), $_SESSION['whups_tickets'])) !== false) {

    $prevnext_links = array();
    $details_page = Horde::applicationUrl('ticket/');
    if ($this_ticket != 0) {
        $prevnext_links[] = Horde::link(Util::addParameter($details_page, 'id', $_SESSION['whups_tickets'][0]), _("First"), 'smallheader') . _("[<< First]") . '</a>';
        $prevnext_links[] = Horde::link(Util::addParameter($details_page, 'id', $_SESSION['whups_tickets'][$this_ticket - 1]), _("Prev"), 'smallheader') . _("[< Prev]") . '</a>';
    }
    if ($this_ticket + 1 != $list_length) {
        $prevnext_links[] = Horde::link(Util::addParameter($details_page, 'id', $_SESSION['whups_tickets'][$this_ticket + 1]), _("Next"), 'smallheader') . _("[Next >]") . '</a>';
        $prevnext_links[] = Horde::link(Util::addParameter($details_page, 'id', $_SESSION['whups_tickets'][$list_length - 1]), _("Last"), 'smallheader') . _("[Last >>]") . '</a>';
    }
?>
<table border="0" width="100%" cellpadding="1" cellspacing="0">
 <tr>
  <td class="header">
   <span class="smallheader"><?php echo implode(' ', $prevnext_links) ?></span>
  </td>
  <td class="header" align="right">
   <span class="smallheader"><?php printf(_("Search Results: %s of %s"), $this_ticket + 1, count($_SESSION['whups_tickets'])) ?></span>
  </td>
 </tr>
</table>
<br />
<?php
}
