<?php
/**
 * $Horde: whups/templates/savedqueries.inc,v 1.6 2005/01/03 14:35:45 jan Exp $
 *
 * Copyright 2001-2005 Robert E. Coyle <robertecoyle@hotmail.com>
 * Copyright 2001-2005 Chuck Hagenbuch <chuck@horde.org>
 *
 * See the enclosed file LICENSE for license information (BSD). If you
 * did not receive this file, see http://www.horde.org/licenses/bsdl.php.
 *
 * @package Whups
 */
class SavedQueries {

    function render($title, $renderer, $results)
    {
        if (!count($results)) {
            return;
        }

        $clearurl = Util::addParameter(Horde::applicationUrl('clearsearch.php'), 'clear', 1);
        $clearurl = Util::addParameter($clearurl, 'url', Horde::selfURL(true, false, true));

?>
<table border="0" cellpadding="2" cellspacing="0" width="100%">
<tr>
  <td align="left" class="header"><?php echo $title ?></td>
</tr>
</table>
<table border="0" cellpadding="0" cellspacing="0" width="100%" class="headerbox">
<?php
        $this->results($results);
        $renderer->end();
        echo '<br />';
    }

    function results($results)
    {
        foreach ($results as $name) {
            echo '<tr><td class="linedRow">' .
                Horde::link(Horde::applicationUrl(Util::addParameter('runquery.php', 'query', $name)), $name) . $name . '</a></td></tr>';
        }
    }

}
